import {global} from "../global.js";

import storage from "../storage.js";

import alone from "../alone.js";

import http from "../http.js";

const pro = process || {}, env = pro.env || {};

export default {
    config: global(env.app_ver || "app" + "_config"),
    get_env(key = null) {
        return alone.get_arr(env, key, '')
    },
    get_conf(key = null, def = null) {
        return alone.get_arr(this.config.list().conf || {}, key, def);
    },
    get_origin() {
        return storage.get('originCache');
    },
    get_make() {
        return storage.get('makeCache');
    },
    http(path) {
        return http((import.meta.env.MODE === 'preview' ? '/api' : this.get_env('api'))).path(path).cross(true);
    },
    set_title(title = '') {
        return alone.set_title(title || this.config.get('title'));
    }
};
